petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatCoarsenSetFromOptions

Sets various coarsen options from the options database.

### Synopsis

    #include "petscmatcoarsen.h"
    PetscErrorCode MatCoarsenSetFromOptions(MatCoarsen coarser)

Collective on MatCoarsen

### Input Parameter

coarser -the coarsen context.

### Options Database Command

     -mat_coarsen_type  <type>

         Use -help for a list of available methods

         (for instance, mis)

### Keywords

coarsen, set, method, type

### Level

advanced

### Location

src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages